> ## Documentation Index
> Fetch the complete documentation index at: https://docs.run-lunar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Jobs



## OpenAPI

````yaml /api-reference/openapi.json get /v1/jobs
openapi: 3.1.0
info:
  description: >-
    Account-isolated orchestration and metering. Only the non-executing mock
    provider is available; no GPU resources are provisioned.
  title: Lunar Neo Cloud Control Plane
  version: 0.1.0
servers: []
security: []
paths:
  /v1/jobs:
    get:
      tags:
        - Jobs
      summary: List Jobs
      operationId: list_jobs_v1_jobs_get
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - enum:
                  - queued
                  - provisioning
                  - starting
                  - running
                  - completed
                  - failed
                  - cancelled
                  - timed_out
                type: string
              - type: 'null'
            title: Status
        - in: query
          name: project_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Project Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobList'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: The request did not pass validation.
      security:
        - HTTPBearer: []
components:
  schemas:
    JobList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/JobRead'
          title: Items
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - items
        - next_cursor
      title: JobList
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - error
        - request_id
      title: ErrorResponse
      type: object
    JobRead:
      properties:
        allocated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Allocated At
        archived_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Archived At
        attempt:
          title: Attempt
          type: integer
        cancel_requested:
          title: Cancel Requested
          type: boolean
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        created_at:
          format: date-time
          title: Created At
          type: string
        entrypoint:
          items:
            type: string
          title: Entrypoint
          type: array
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        gpu:
          title: Gpu
          type: string
        id:
          title: Id
          type: string
        image:
          title: Image
          type: string
        max_attempts:
          title: Max Attempts
          type: integer
        name:
          title: Name
          type: string
        project_id:
          title: Project Id
          type: string
        provider_name:
          title: Provider Name
          type: string
        ready_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Ready At
        released_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Released At
        started_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Started At
        status:
          enum:
            - queued
            - provisioning
            - starting
            - running
            - completed
            - failed
            - cancelled
            - timed_out
          title: Status
          type: string
        timeout_seconds:
          title: Timeout Seconds
          type: integer
        updated_at:
          format: date-time
          title: Updated At
          type: string
        version:
          title: Version
          type: integer
      required:
        - id
        - project_id
        - name
        - gpu
        - image
        - entrypoint
        - status
        - provider_name
        - timeout_seconds
        - attempt
        - max_attempts
        - cancel_requested
        - allocated_at
        - ready_at
        - started_at
        - completed_at
        - released_at
        - created_at
        - updated_at
        - version
        - error_code
        - error_message
        - archived_at
      title: JobRead
      type: object
    ErrorBody:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ErrorBody
      type: object
    ValidationErrorDetail:
      properties:
        field:
          title: Field
          type: string
        type:
          title: Type
          type: string
      required:
        - field
        - type
      title: ValidationErrorDetail
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.